package com.bonus.canteen.core.allocation.canteen.model;

import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenDeliveryModel;
import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenOrderDTO;
import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenPayDTO;
import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenSaveDTO;
import com.bonus.canteen.core.menu.model.AllocMealtimeModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.List;

@ApiModel("食堂新增/修改Model")
public class AllocCanteenModel {
   @ApiModelProperty(
      value = "食堂基础设置DTO",
      required = true
   )
   protected @Valid AllocCanteenSaveDTO canteenSaveDTO;
   @ApiModelProperty("支付设置DTO")
   protected AllocCanteenPayDTO payDTO;
   @ApiModelProperty("配送设置DTO")
   protected AllocCanteenDeliveryModel deliveryModel;
   @ApiModelProperty("点餐设置DTO")
   protected AllocCanteenOrderDTO orderDTO;
   @ApiModelProperty("餐次列表")
   protected List<AllocMealtimeModel> mealtimeList;

   public AllocCanteenSaveDTO getCanteenSaveDTO() {
      return this.canteenSaveDTO;
   }

   public AllocCanteenPayDTO getPayDTO() {
      return this.payDTO;
   }

   public AllocCanteenDeliveryModel getDeliveryModel() {
      return this.deliveryModel;
   }

   public AllocCanteenOrderDTO getOrderDTO() {
      return this.orderDTO;
   }

   public List<AllocMealtimeModel> getMealtimeList() {
      return this.mealtimeList;
   }

   public void setCanteenSaveDTO(final AllocCanteenSaveDTO canteenSaveDTO) {
      this.canteenSaveDTO = canteenSaveDTO;
   }

   public void setPayDTO(final AllocCanteenPayDTO payDTO) {
      this.payDTO = payDTO;
   }

   public void setDeliveryModel(final AllocCanteenDeliveryModel deliveryModel) {
      this.deliveryModel = deliveryModel;
   }

   public void setOrderDTO(final AllocCanteenOrderDTO orderDTO) {
      this.orderDTO = orderDTO;
   }

   public void setMealtimeList(final List<AllocMealtimeModel> mealtimeList) {
      this.mealtimeList = mealtimeList;
   }

}
